import { TocItem } from './index';
import { MdHeadingId } from '../MdEditor/type';
import { default as React, MouseEvent } from 'react';

export interface CatalogLinkProps {
    tocItem: TocItem;
    mdHeadingId: MdHeadingId;
    scrollElement: string | HTMLElement;
    onClick?: (e: MouseEvent, t: TocItem) => void;
    scrollElementOffsetTop?: number;
}
declare const CatalogLink: ({ tocItem, mdHeadingId, scrollElement, onClick, scrollElementOffsetTop }: CatalogLinkProps) => React.JSX.Element;
export default CatalogLink;
