import { default as React, CSSProperties, ReactElement } from 'react';

export type ModalProps = Readonly<{
    title?: string | ReactElement;
    visible?: boolean;
    width?: string;
    height?: string;
    onClose?: () => void;
    showAdjust?: boolean;
    isFullscreen?: boolean;
    onAdjust?: (val: boolean) => void;
    children?: any;
    className?: string;
    style?: CSSProperties;
}>;
declare const Modal: (props: ModalProps) => React.JSX.Element;
export default Modal;
