import { ToolbarNames, SettingType, UpdateSetting, TableShapeType } from '../../type';
import { default as React, ReactElement } from 'react';

export interface ToolbarProps {
    noPrettier: boolean;
    toolbars: Array<ToolbarNames>;
    toolbarsExclude: Array<ToolbarNames>;
    setting: SettingType;
    updateSetting: UpdateSetting;
    tableShape: TableShapeType;
    defToolbars?: Array<ReactElement>;
    noUploadImg: boolean;
    showToolbarName?: boolean;
}
declare const _default: React.MemoExoticComponent<(props: ToolbarProps) => React.JSX.Element>;
export default _default;
