var P = Object.defineProperty;
var k = (t, e, s) => e in t ? P(t, e, { enumerable: !0, configurable: !0, writable: !0, value: s }) : t[e] = s;
var I = (t, e, s) => (k(t, typeof e != "symbol" ? e + "" : e, s), s);
import { j as m } from "./jsx-runtime.mjs";
import O, { useState as T, useMemo as F, useCallback as j, useEffect as b } from "react";
import { p as C, f as D } from "./config.mjs";
class M {
  constructor() {
    // 事件池
    I(this, "pools", {});
  }
  // 移除事件监听
  remove(e, s, a) {
    const n = this.pools[e] && this.pools[e][s];
    n && (this.pools[e][s] = n.filter((r) => r !== a));
  }
  // 清空全部事件，由于单一实例，多次注册会被共享内容
  clear(e) {
    this.pools[e] = {};
  }
  // 注册事件监听
  on(e, s) {
    return this.pools[e] || (this.pools[e] = {}), this.pools[e][s.name] || (this.pools[e][s.name] = []), this.pools[e][s.name].push(s.callback), this.pools[e][s.name].includes(s.callback);
  }
  // 触发事件
  emit(e, s, ...a) {
    this.pools[e] || (this.pools[e] = {});
    const n = this.pools[e][s];
    n && n.forEach((r) => {
      try {
        r(...a);
      } catch (i) {
        console.error(`${s} monitor event exception！`, i);
      }
    });
  }
}
const x = new M(), J = "onSave", K = "changeCatalogVisible", Q = "changeFullscreen", X = "pageFullscreenChanged", ee = "fullscreenChanged", te = "previewChanged", se = "previewOnlyChanged", ne = "htmlPreviewChanged", oe = "catalogVisibleChanged", le = "buildFinished", ae = "errorCatcher", ce = "replace", re = "uploadImage", ie = "openModals", de = "ctrlZ", Ee = "ctrlShiftZ", S = "catalogChanged", y = "pushCatalog", ue = "rerender", he = "eventListener", fe = (t, e = "image.png") => {
  const s = t.split(","), a = s[0].match(/:(.*?);/);
  if (a) {
    const E = a[1], n = atob(s[1]);
    let r = n.length;
    const i = new Uint8Array(r);
    for (; r--; )
      i[r] = n.charCodeAt(r);
    return new File([i], e, { type: E });
  }
  return null;
}, pe = (t) => {
  if (!t)
    return t;
  const e = t.split(`
`), s = ['<span rn-wrapper aria-hidden="true">'];
  return e.forEach(() => {
    s.push("<span></span>");
  }), s.push("</span>"), `<span class="${C}-code-block">${t}</span>${s.join("")}`;
}, B = (t) => t.filter((e) => e !== !1).join(" "), V = (t, e) => {
  if (!t || !e)
    return 0;
  const s = t == null ? void 0 : t.getBoundingClientRect();
  if (e === document.documentElement)
    return s.top - e.clientTop;
  const a = e == null ? void 0 : e.getBoundingClientRect();
  return s.top - a.top;
}, ge = /* @__PURE__ */ (() => {
  let t = 0;
  return (e) => e + ++t;
})(), me = /* @__PURE__ */ (() => {
  let t = 0;
  return () => ++t;
})(), w = ({
  tocItem: t,
  mdHeadingId: e,
  scrollElement: s,
  onClick: a,
  scrollElementOffsetTop: E = 0
}) => /* @__PURE__ */ m.jsxs(
  "div",
  {
    className: B([
      `${C}-catalog-link`,
      t.active && `${C}-catalog-active`
    ]),
    onClick: (n) => {
      a && a(n, t), n.stopPropagation();
      const r = e(t.text, t.level, t.index), i = document.getElementById(r), h = s instanceof Element ? s : document.querySelector(s);
      if (i && h) {
        let d = i.offsetParent, f = i.offsetTop;
        if (h.contains(d))
          for (; d && h != d; )
            f += d == null ? void 0 : d.offsetTop, d = d == null ? void 0 : d.offsetParent;
        h == null || h.scrollTo({
          top: f - E,
          behavior: "smooth"
        });
      }
    },
    children: [
      /* @__PURE__ */ m.jsx("span", { title: t.text, children: t.text }),
      /* @__PURE__ */ m.jsx("div", { className: `${C}-catalog-wrapper`, children: t.children && t.children.map((n) => /* @__PURE__ */ m.jsx(
        w,
        {
          mdHeadingId: e,
          tocItem: n,
          scrollElement: s,
          onClick: a,
          scrollElementOffsetTop: E
        },
        `${n.text}-${n.index}`
      )) })
    ]
  }
), U = w, Z = (t) => {
  const {
    editorId: e,
    mdHeadingId: s = D.mdHeadingId,
    theme: a = "light",
    offsetTop: E = 20
  } = t, [n, r] = T([]), [i, h] = T(), d = F(() => {
    const c = [];
    return n.forEach((v, l) => {
      const { text: L, level: g } = v, u = {
        level: g,
        text: L,
        index: l + 1,
        active: i === v
      };
      if (c.length === 0)
        c.push(u);
      else {
        let o = c[c.length - 1];
        if (u.level > o.level)
          for (let R = o.level + 1; R <= 6; R++) {
            const { children: p } = o;
            if (!p) {
              o.children = [u];
              break;
            }
            if (o = p[p.length - 1], u.level <= o.level) {
              p.push(u);
              break;
            }
          }
        else
          c.push(u);
      }
    }), c;
  }, [i, n]), [f] = T(() => t.scrollElement || `#${e}-preview-wrapper`), A = j(() => f instanceof HTMLElement ? f : document.querySelector(f), [f]);
  return b(() => {
    let c = [];
    const v = (o) => {
      if (o.length === 0)
        return r([]), !1;
      const { activeHead: R } = o.reduce(
        (p, N, $) => {
          const H = document.getElementById(
            s(N.text, N.level, $ + 1)
          );
          if (H instanceof HTMLElement) {
            const G = A(), _ = V(H, G);
            if (_ < E && _ > p.minTop)
              return {
                activeHead: N,
                minTop: _
              };
          }
          return p;
        },
        {
          activeHead: o[0],
          minTop: Number.MIN_SAFE_INTEGER
        }
      );
      h(R), r(o), c = o;
    };
    let l = window;
    const L = () => {
      const o = A();
      l = o === document.documentElement ? window : o;
    }, g = () => {
      v(c);
    }, u = (o) => {
      l == null || l.removeEventListener("scroll", g), v(o), L(), l == null || l.addEventListener("scroll", g);
    };
    return x.on(e, {
      name: S,
      callback: u
    }), x.emit(e, y), L(), l == null || l.addEventListener("scroll", g), () => {
      x.remove(e, S, u), l == null || l.removeEventListener("scroll", g);
    };
  }, [E, s, A]), b(() => {
    t.onActive && t.onActive(i);
  }, [i, t]), /* @__PURE__ */ m.jsx(
    "div",
    {
      className: `${C}-catalog${a === "dark" ? "-dark" : ""} ${t.className || ""} `,
      style: t.style,
      children: d.map((c) => /* @__PURE__ */ m.jsx(
        U,
        {
          mdHeadingId: s,
          tocItem: c,
          scrollElement: f,
          onClick: t.onClick,
          scrollElementOffsetTop: t.scrollElementOffsetTop
        },
        `${c.text}-${c.index}`
      ))
    }
  );
}, ve = O.memo(Z);
export {
  le as B,
  K as C,
  ae as E,
  ee as F,
  ne as H,
  ve as M,
  J as O,
  X as P,
  ue as R,
  re as U,
  te as a,
  x as b,
  B as c,
  se as d,
  oe as e,
  Q as f,
  ge as g,
  ce as h,
  he as i,
  me as j,
  fe as k,
  ie as l,
  Ee as m,
  de as n,
  pe as o,
  S as p,
  y as q
};
