import { CustomIcon, StaticTextDefaultValue } from '../../../../type';
import { default as markdownit } from 'markdown-it';
import { RefObject } from 'react';

export interface CodeTabsPluginOps extends markdownit.Options {
    editorId: string;
    usedLanguageTextRef: RefObject<StaticTextDefaultValue>;
    codeFoldable: boolean;
    autoFoldThreshold: number;
    customIconRef: RefObject<CustomIcon>;
}
declare const codetabs: (md: markdownit, _opts: CodeTabsPluginOps) => void;
export default codetabs;
