import { HeadList, MdHeadingId } from '../../../../type';
import { RefObject } from 'react';
import { default as markdownit } from 'markdown-it';

export interface HeadingPluginOps extends markdownit.Options {
    mdHeadingId: MdHeadingId;
    headsRef: RefObject<HeadList[]>;
}
declare const HeadingPlugin: (md: markdownit, options: HeadingPluginOps) => void;
export default HeadingPlugin;
